# Get Whitelist by ID

## Get whitelist by id

> This method returns the whitelist that matches the entered ID.

```json
{"openapi":"3.0.2","info":{"title":"Vault API","version":"80fbdca"},"tags":[],"security":[{"Ledger_API_Key":[],"Ledger_API_User":[]},{"Ledger_API_Key":[],"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]},{"Ledger_API_User":[]},{"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]}],"components":{"securitySchemes":{"Ledger_API_Key":{"description":"If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, [see step 5 of the get started documentation](https://help.vault.ledger.com/Content/api/api_getstarted.html).","in":"header","name":"X-Ledger-API-Key","type":"apiKey"},"Ledger_API_User":{"description":"(**required**) Username of a registered API User","in":"header","name":"X-Ledger-API-User","type":"apiKey"}},"schemas":{"Whitelist":{"additionalProperties":false,"properties":{"addresses":{"items":{"$ref":"#/components/schemas/WhitelistAddress"},"type":"array"},"created_by":{"type":"integer"},"created_on":{"format":"date-time","type":"string"},"description":{"type":"string"},"id":{"type":"integer"},"last_request":{"default":null,"nullable":true,"type":"integer"},"name":{"type":"string"},"status":{"enum":["ACTIVE","PENDING","REJECTED","REVOKED"],"type":"string"}},"required":["addresses","created_by","created_on","description","id","name","status"],"type":"object"},"WhitelistAddress":{"properties":{"address":{"type":"string"},"currency":{"enum":["Dollar","Euro","arbitrum","arbitrum_goerli","avalanche_c_chain","avalanche_c_chain_fuji","base","base_goerli","bitcoin","bitcoin_cash","bitcoin_gold","bitcoin_testnet","bsc","cardano","celo","celo_alfajores","cosmos","cronos","cronos_testnet","dash","digibyte","dogecoin","ethereum","ethereum_goerli","ethereum_holesky","ethereum_pow","ethereum_ropsten","ethereum_sepolia","fantom","fantom_testnet","filecoin","filecoin_calibration","flare","flare_coston","kava_evm","kava_evm_testnet","klaytn","klaytn_baobab","komodo","litecoin","near","optimism","optimism_goerli","pivx","polkadot","polygon","polygon_mumbai","ripple","solana","solana_devnet","solana_testnet","stellar","tezos","tomo","tomo_testnet","tron","vertcoin","viacoin","westend"],"type":"string"},"destination_tags":{"default":null,"items":{"type":"integer"},"nullable":true,"type":"array"},"id":{"type":"integer"},"name":{"type":"string"}},"required":["address","currency","id","name"],"type":"object"},"Error":{"properties":{"message":{"type":"string"},"name":{"type":"string"},"status_code":{"type":"integer"}},"required":["message","name","status_code"],"type":"object"}}},"paths":{"/whitelists/{whitelist_id}":{"get":{"summary":"Get whitelist by id","tags":["Whitelists"],"description":"This method returns the whitelist that matches the entered ID.","parameters":[{"name":"whitelist_id","in":"path","description":"The whitelist's ID.","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Whitelist"}}},"description":"Whitelist object"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Whitelist not found"}}}}}}
```
